Package com.microsoft.sqlserver.jdbc

## Class SQLServerDriver

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.SQLServerDriver

All Implemented Interfaces:
  `java.sql.Driver`

    public final class SQLServerDriver
    extends java.lang.Object
    implements java.sql.Driver

Provides methods to connect to a SQL Server database and to obtain information about the JDBC driver.

### Constructor Summary

Constructors
`SQLServerDriver()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `acceptsURL​(java.lang.String url)`
`java.sql.Connection` `connect​(java.lang.String Url, java.util.Properties suppliedProperties)`
`static void` `deregister()`
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`java.util.logging.Logger` `getParentLogger()`
`java.sql.DriverPropertyInfo[]` `getPropertyInfo​(java.lang.String Url, java.util.Properties Info)`
`static boolean` `isRegistered()`
`boolean` `jdbcCompliant()`
`static void` `register()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SQLServerDriver

    public SQLServerDriver()

### Method Detail

#### toString

    public final java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### register

    public static void register()
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### deregister

    public static void deregister()
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isRegistered

    public static boolean isRegistered()

#### connect

    public java.sql.Connection connect​(java.lang.String Url,
                                       java.util.Properties suppliedProperties)
                                throws SQLServerException

Specified by:
  `connect` in interface `java.sql.Driver`
Throws:
  `SQLServerException`

#### acceptsURL

    public boolean acceptsURL​(java.lang.String url)
                       throws SQLServerException

Specified by:
  `acceptsURL` in interface `java.sql.Driver`
Throws:
  `SQLServerException`

#### getPropertyInfo

    public java.sql.DriverPropertyInfo[] getPropertyInfo​(java.lang.String Url,
                                                         java.util.Properties Info)
                                                  throws SQLServerException

Specified by:
  `getPropertyInfo` in interface `java.sql.Driver`
Throws:
  `SQLServerException`

#### getMajorVersion

    public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `java.sql.Driver`

#### getMinorVersion

    public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `java.sql.Driver`

#### getParentLogger

    public java.util.logging.Logger getParentLogger()
                                             throws java.sql.SQLFeatureNotSupportedException

Specified by:
  `getParentLogger` in interface `java.sql.Driver`
Throws:
  `java.sql.SQLFeatureNotSupportedException`

#### jdbcCompliant

    public boolean jdbcCompliant()

Specified by:
  `jdbcCompliant` in interface `java.sql.Driver`